> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base.md).

# Knowledge Base

- [Get document list](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/get-document-list.md): Get list of document loaded in Knowledge base.
- [Get document list grouped](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/get-document-list-grouped.md)
- [Get document metadata](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/get-document-metadata.md): Get document metadata.
- [Get document chunks](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/get-document-chunks.md): Get document chunks
- [Download document](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/download-document.md): Get/download document content
- [Create directory](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/create-directory.md): Create a directory in Knowledge base.
- [Upload document](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/upload-document.md): Upload ONE document in Knowledge base.
- [Duplicate document](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/duplicate-document.md): Duplicate document in Knowledge base.
- [Edit document metadata](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/edit-document-metadata.md): Edit document metadata.
- [Delete document](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/delete-document.md): Delete document from Knowledge base.
- [Move document](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/move-document.md): Move document in Knowledge Base.
- [Move folder](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/move-folder.md): Move folder in Knowledge Base
- [Rename document](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/rename-document.md): Rename document in Knowledge Base
- [Rename folder](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/rename-folder.md): Rename folder in Knowledge Base
- [Queue status](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/queue-status.md): Returns the current status of the action queue related to the knowledge base. This includes pending and ongoing operations such as document uploads, edits, and other modifications.
- [Get tags](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/get-tags.md): Get tags in Knowledge base.
- [Create tag](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/create-tag.md): Create a tag in Knowledge Base
- [Edit tag](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/edit-tag.md): Edit a tag in Knowledge Base
- [Delete tag](https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base/delete-tag.md): Delete tag from Knowledge Base


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://40factory.gitbook.io/wilson/3.11/rest-api/knowledge-base.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
